#ifndef NUMBER_H_
#define NUMBER_H_

class Number
{
	
	
public:
	
	static Number* getNULL();
	static Number* getUnitary();
	
	
	Number* times(Number* op);
	Number*  add(Number* op);
	
	
	Number();
	virtual ~Number();
};

#endif /*NUMBER_H_*/
